[**@lancedb/lancedb**](../../README.md) • **Docs**

***

[@lancedb/lancedb](../../globals.md) / embedding

# embedding

## Index

### Classes

- [EmbeddingFunction](classes/EmbeddingFunction.md)
- [EmbeddingFunctionRegistry](classes/EmbeddingFunctionRegistry.md)
- [TextEmbeddingFunction](classes/TextEmbeddingFunction.md)

### Interfaces

- [EmbeddingFunctionConfig](interfaces/EmbeddingFunctionConfig.md)
- [EmbeddingFunctionConstructor](interfaces/EmbeddingFunctionConstructor.md)
- [EmbeddingFunctionCreate](interfaces/EmbeddingFunctionCreate.md)
- [FieldOptions](interfaces/FieldOptions.md)
- [FunctionOptions](interfaces/FunctionOptions.md)

### Type Aliases

- [CreateReturnType](type-aliases/CreateReturnType.md)

### Functions

- [LanceSchema](functions/LanceSchema.md)
- [getRegistry](functions/getRegistry.md)
- [register](functions/register.md)
